Summary:   PS-to-EPS converter
Name:      ps2eps
Version:   1.64
Release:   4%{?dist}
Source0:   http://www.tm.uka.de/~bless/%{name}-%{version}.tar.gz
Patch0:    ps2eps-1.64-tmpfile.patch
License:   GPLv2+
URL:       http://www.tm.uka.de/~bless/ps2eps
Group:     Applications/Publishing
Requires:  ghostscript
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ps2eps is a tool to produce Encapsulated PostScript Files (EPS/EPSF)
from usual one-paged Postscript documents. It calculates correct 
Bounding Boxes for those EPS files and filters some special postscript 
command sequences that can produce errorneous results on printers. 

%prep

%setup -q -n ps2eps
%patch0 -p1

%build
%{__cc} %{optflags} -o bbox src/C/bbox.c

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 0755 bbox %{buildroot}%{_bindir}
%{__install} -m 0755 bin/ps2eps %{buildroot}%{_bindir}
%{__install} -d  %{buildroot}%{_mandir}/man1
%{__install} -m 0644 -p doc/man/man1/* %{buildroot}%{_mandir}/man1
%{__rm} -f INSTALL.txt

%clean
%{__rm} -rf %{buildroot}

%files
%defattr (-, root, root, -)
%{_bindir}/*
%{_mandir}/man1/*
%doc *.txt  doc/html/*.html doc/pdf/*.pdf

%changelog
* Sat Feb  9 2008 Terje Røsten <terjeros@phys.ntnu.no> - 1.64-4
- Rebuild

* Sun Aug 19 2007 Terje Røsten <terjeros@phys.ntnu.no> - 1.64-3
- Fix license tag

* Sat Jun  2 2007 Terje Røsten <terjeros@phys.ntnu.no> - 1.64-2
- add secure tmpfile patch
- don't skip Install.txt
- preserve dates on files (where possible)
- fix defattr

* Sat Jun  2 2007 Terje Røsten <terjeros@phys.ntnu.no> - 1.64-1
- 1.64
- Fix shebang

* Thu Oct 14 2004 Terje Røsten <terjeros@phys.ntnu.no>
- 1.54

* Sat Mar  6 2004 Susumu Tanimura  <stanimura-ngs@umin.ac.jp>
- initial package 
